//==============================================================================
// Purpose:    Uart->USB-Schnittstelle (FTDI) auf dem BMS-MasterBoard
//
// Created on:  11.07.2012 by KIT-IPE (Fachgr.: Blank)
//
// History
//		11.07.2012 neu, T. Maurer
//==============================================================================

#ifndef __UARTTOUSB_H__
#define __UARTTOUSB_H__

// Globale Datentypen


//API

extern int8_t UartToUsb_init();
//a) Ausschalten des FTDI-Resets: durch High-Setzen des Out-Ports
//b) Aufruf der LIN_init()
//return Returnwert von LIN_init()

//extern int8_t UartToUsb_update();

extern int8_t UartToUsb_push(const int16_t data);
//Byte auf Uart schreiben
//return Returnwert von LIN_push()

extern int8_t UartToUsb_pop(int16_t *const data);
//Byte von Uart abholen
//return Returnwert von LIN_pop()

#endif /*ifndef*/
