/*
 * BMS_SoC_estimator.h
 *
 *  Created on: Jul 18, 2016
 *      Author: le8041
 */

#ifndef BMS_SOC_ESTIMATOR_H_
#define BMS_SOC_ESTIMATOR_H_



/**
* @function bms_SoC_init_estimator_constants 
* @brief  bms_SoC_init_estimator_constants
* @param cell_SoC standart uebergabeparameter
*/
float calc_start_SoC(uint16_t voltage);
int32_t bms_SoC_init_estimator(MASTER_SOC_ESTIMATOR_t* cell_SoC, uint16_t voltage) ;
uint32_t bms_SoC_running_fsm(MASTER_SOC_ESTIMATOR_t* est, int16_t I_batt, uint16_t U_batt_max,uint16_t U_batt_min, int8_t temp_min, int8_t temp_max);
float bms_SoC_get_norm(float value);
float bms_calc_charge_derating(float SoC);
float bms_calc_discharge_derating(float SoC);
uint32_t bms_set_derating(MASTER_SOC_ESTIMATOR_t* est, int8_t minTemp, int8_t maxTemp);
float bms_calc_charge_temp_derating(int8_t Temp) ;
float bms_calc_discharge_temp_derating(int8_t Temp);
float linear_interpolate(int8_t x1,int8_t x2,int8_t x,float y1,float y2);


#endif /* BMS_SOC_ESTIMATOR_H_ */
