
#ifndef __BOARDPERIPH_H__
#define __BOARDPERIPH_H__


#ifdef __cplusplus
    extern "C" {
#endif


union Periph_Flags {
	uint8_t R;
	struct {
		uint8_t rsvd:6;
		uint8_t init_ok:1;
		uint8_t test_ok:1;
		uint8_t test_fail:1;
	} B;
};

typedef struct {
	union Periph_Flags FRAM_Flags;
	uint32_t test_time;
} Board_Status;



//-------------------------------------------------------
//API



//extern Board_Status Board_S;

       void   BoardPeriph_init               ( void );
extern void   BoardPeriph_test_init          ( void );
extern int8_t BoardPeriph_test_update_polled ( void );
extern void   BoardPeriph_update_1ms         ( void );
extern void   BoardPeriph_update_polled      ( void );

//-------------------------------------------------------


#ifdef __cplusplus
    }
#endif

#endif  /* ifndef*/
