//==============================================================================
// Purpose:     Intitialisierung von Betriebsmodus, Clock;
//				GPIO-Funktionen
//
// Created on:  20.04.2012 by IPE
//
// History
//		20.04.2012 neu, T.Maurer
//==============================================================================


#ifndef __DEVICE_H__
#define __DEVICE_H__

#ifdef __cplusplus
    extern "C" {
#endif


//MACROS
//Pins des MPC
#define READ_INPIN(NR) 	        SIU.GPDI[NR].B.PDI
#define SET_OUTPIN(NR) 		    SIU.GPDO[NR].B.PDO=1
#define CLEAR_OUTPIN(NR) 	    SIU.GPDO[NR].B.PDO=0
#define TOGGLE_OUTPIN(NR) 		SIU.GPDO[NR].B.PDO = (SIU.GPDO[NR].B.PDO)?0:1
#define GET_OUTPIN_VAL(NR) 		SIU.GPDO[NR].B.PDO




//PROTOTYPES
 void init_Device(void);
//----------------------
//extern void initMODE(void);
//extern void setPLL(void);
//extern void disableWatchdog(void);

 void Asm_initIrqVectors( void );
//extern void initINTC(void);
//extern void enableIrq(void);
 void initMODE(void);
 void setPLL(void);
 void disableWatchdog(void);
 void initINTC(void);
 void init_Mode_and_Clock(void);
 //asm void initIrqVectors(void);
 //extern void initINTC(void);
 void enableIrq(void);


#ifdef __cplusplus
    }
#endif

#endif  /* ifndef*/
