//##############################################################################
//
// FILE:	MultitaskOS.h
//
// TITLE:	Real Time 1 ms Generator
//
//
//##############################################################################
//
//==============================================================================
// Change History:
//==============================================================================
// Datum:   | Name | Version:| Change / Cause:                            | No
//------------------------------------------------------------------------------
//          |      |         |                                            | 002
//------------------------------------------------------------------------------
// 05.07.13 |  VR  |   1.1   | Change for ReilingOS                       | 001
//------------------------------------------------------------------------------
// 02.05.12 |  TM  |   1.0   | New Build                                  | 000
//==============================================================================
//==============================================================================
// Comment Change / Cause:
//==============================================================================
// Change: 003                                                           // 003
//----------------------
//                                                       
//
//==============================================================================
// Change: 002                                                           // 002
//----------------------
//                                           
//
//==============================================================================
// Change: 001                                                           // 001
//----------------------
// 
//
//==============================================================================

#ifndef __MULTITASKOS_H__
#define __MULTITASKOS_H__



#ifdef __cplusplus
    extern "C" {
#endif



// ***** Defines ***************************************************************
    #define SYSCLK_KHZ 120000


    
// ***** External Variables ****************************************************    
extern	uint64_t	Global_1msCounter;
extern	uint32_t	Global_1msCounterCopy;
extern	uint32_t	Global_1msCounterDelta;
extern  uint32_t    gISO_R;



// ***** Function Prototypes ***************************************************
void	MultitaskOS_init	(void);
void	ISR_Timer_OS		(void);



#ifdef __cplusplus
    }
#endif

    
    
#endif  /* ifndef*/
